# $Revision: 1.11 $, $Date: 2008/07/27 22:36:37 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	HTML
%define		pnam	LinkExtractor
Summary:	HTML::LinkExtractor - extract links from an HTML document
Summary(pl.UTF-8):	HTML::LinkExtractor - wyodrębnianie odnośników z dokumentów HTML
Name:		perl-HTML-LinkExtractor
Version:	0.13
Release:	2
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a30143b35ef76576fb984696746776de
BuildRequires:	perl-devel >= 1:5.6
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-HTML-TokeParser-Simple >= 2
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTML::LinkExtractor Perl module is used for extracting links from
HTML. It is very similar to HTML::LinkExtor, except that besides
getting the URL, you also get the link-text.

%description -l pl.UTF-8
Moduł Perla HTML::LinkExtractor służy do wyodrębniania odnośników z
kodu HTML. Jest on bardzo podobny do modułu HTML::LinkExtor z tym
wyjątkiem, że otrzymuje się URL razem z tekstem stanowiącym treść
odnośników.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTML-LinkExtractor.spec,v $
Revision 1.11  2008/07/27 22:36:37  arekm
- release 2

Revision 1.10  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:49:34  baggins
- converted to UTF-8

Revision 1.8  2005/05/31 17:58:50  petec
- Epoch 1 to allow upgrade

Revision 1.7  2005/05/31 15:33:54  petec
- up to 0.13

Revision 1.6  2004/12/01 12:55:59  radek
- autoupdated to 0.121

Revision 1.5  2004/11/03 22:30:25  paladine
- formatting

Revision 1.4  2004/11/03 13:13:12  paladine
- spaces->tabs
- formatting

Revision 1.3  2004/05/30 04:19:19  ankry
- s/łącze/odnośnik/

Revision 1.2  2004/05/30 04:11:06  ankry
- pl

Revision 1.1  2004/05/29 18:25:05  radek
- new
